# QStyleOptionComplex Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionComplex(QStyleOptionComplex other)
- void QStyleOptionComplex(int version, int type)

### Constructor Properties

- prototype: The QStyleOptionComplex prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_Complex
- StyleOptionType( value )

### Instance Properties

QStyleOptionComplex objects have no special properties beyond those inherited from the QStyleOptionComplex prototype object.